Subject: Re: [PATCH] fix some clang warnings

From: Tomas Carnecky <[email-masked]>
Date: Wed, 16 Jan 2013 18:03:15 +0000

On Wed, 16 Jan 2013 09:50:57 -0800, Jeff King <[email-masked]> wrote:
>   However, clang also defines __GNUC__, [...]

http://sourceforge.net/p/predef/wiki/Compilers/

    Notice that the meaning of the __GNUC__ macro has changed subtly over the
    years, from identifying the GNU C/C++ compiler to identifying any compiler
    that implements the GNU compiler extensions (...). For example, the Intel
    C++ on Linux also defines these macros from version 8.1 (...).